%define support_perl 0
%define perl_version 5.8.0

Summary: File transfer utilities between Linux and PalmPilots.
Name: pilot-link
Version: 0.11.8
Release: 11.4.fc4
Source: pilot-link-%{version}.tar.bz2
Url: http://www.pilot-link.org/
Patch1: pilot-link-0.11.0-perlmd5.patch
Patch2: pilot-link-0.11.0-perlpollute.patch
Patch3: pilot-link-0.11.2-malsync.patch
Patch5: pilot-link-0.11.8-misc.patch
Patch6: pilot-link-0.11.8-size.patch
Patch7: pilot-link-0.11.8-readfile.patch
Patch8: pilot-link-0.11.8-underquoted.patch
Patch9: pilot-link-0.11.8-misc1.patch
Patch10: pilot-link-0.11.8-realpath.path
Epoch: 2
License: GPL
Group: Applications/Communications
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%if %{support_perl}
BuildPrereq: perl
%endif

BuildRequires: readline-devel
BuildRequires: libpng-devel

Prereq: /sbin/ldconfig

ExcludeArch: s390 s390x

%description
This suite of tools allows you to upload and download programs and
data files between a Linux/UNIX machine and the PalmPilot. It has a
few extra utilities that will allow for things like syncing the
PalmPilot's calendar app with Ical. Note that you might still need to
consult the sources for pilot-link if you would like the Python, Tcl,
or Perl bindings.

Install pilot-link if you want to synchronize your Palm with your Red
Hat Linux system.

%package devel
Summary: PalmPilot development header files.
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: readline-devel
Requires: libpng-devel

%description devel
This package contains the development headers that are used to build
the pilot-link package. It also includes the static libraries
necessary to build static pilot applications.

If you want to develop PalmPilot synchronizing applications, you'll
need to install pilot-link-devel.

%prep 
%setup -q
%if %{support_perl}
%patch1 -p1 -b .perlmd5
%patch2 -p1 -b .perlpollute
%patch3 -p1 -b .malsync
%endif
%patch5 -p1 -b .misc
%patch6 -p1 -b .size
%patch7 -p1 -b .read
%patch8 -p1 -b .underquoted
%patch9 -p1 -b .misc1
%patch10 -p1 -b .realpath

%build
CFLAGS="$RPM_OPT_FLAGS" %configure \
  --with-python=no \
  --with-itcl=no \
  --with-tk=no \
  --with-tcl=no \
  --with-java=no \
  --with-cpp=yes \
%if %{support_perl}
  --with-perl=yes
%else
  --with-perl=no
%endif

make

%install
rm -rf $RPM_BUILD_ROOT

%if %{support_perl}
if test -f bindings/Perl/Makefile.PL ; then
   cd bindings/Perl
   perl -pi -e 's|^\$libdir =.*|\$libdir = "%{buildroot}%{_libdir}";|g' Makefile.PL
   CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
   make
   cd ../..
fi
%endif

%makeinstall 
%makeinstall -C doc/man

%if %{support_perl}
  make install -C bindings/Perl
  rm -f %{buildroot}%{_libdir}/perl5/vendor_perl/%{perl_version}/*/auto/PDA/Pilot/Pilot.bs \
        %{buildroot}%{_libdir}/perl5/site_perl/*/*/*/PDA/Pilot/.packlist
%else
  rm -f %{buildroot}%{_mandir}/man1/ietf2datebook*
%endif

# remove files we don't want to include
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

# remove broken prog
rm -f %{buildroot}%{_bindir}/pilot-prc

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README NEWS
%{_libdir}/*.so.*
%if %{support_perl}
%{_libdir}/perl5/vendor_perl/*/*/*/PDA
%{_libdir}/perl5/vendor_perl/*/*/PDA
%endif
%{_bindir}/*
%{_datadir}/pilot-link
%{_mandir}/man?/*

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/*
%{_datadir}/aclocal/*.m4

%changelog
* Tue Apr 18 2006 Than Ngo <than@redhat.com> 2:0.11.8-11.4.fc4 
- rebuilt

* Tue Apr 18 2006 Than Ngo <than@redhat.com> 2:0.11.8-11.3.fc4
- fix pilot-xfer crash on missing device node #186779
- don't include unnecessary man page #185147

* Wed Mar 29 2006 Than Ngo <than@redhat.com> 2:0.11.8-11.2.fc4 
- rebuild to get rid of libpisock.so.9 

* Wed Mar 29 2006 Than Ngo <than@redhat.com> 2:0.11.8-11.1.fc4
- downgrade to stable release 0.11.8

* Mon Sep 05 2005 Than Ngo <than@redhat.com> 0.12.0-0.pre4.0.fc4.2
- pre5 cvs snapshots
- remove several patches which included new upstream

* Wed Jun 15 2005 Than Ngo <than@redhat.com> 0.12.0-0.pre3.0.fc4.1
- fix non utf-8 in changelog #159582
- apply patch to fix compiler warnings
- 0.12.0-pre3

* Sun Mar 13 2005 Than Ngo <than@redhat.com> 0.12.0-0.pre2.0
- 0.12.0-pre2
- fix build gcc 4 problem

* Mon Jan 24 2005 Than Ngo <than@redhat.com> 0.11.8-10
- Add patch to cleanup bad code #146001

* Wed Jan 12 2005 Tim Waugh <twaugh@redhat.com> 0.11.8-9
- Rebuilt for new readline.

* Fri Aug  6 2004 Tim Waugh <twaugh@redhat.com> 0.11.8-8
- Fixed underquoted m4 definitions.

* Tue Jul 27 2004 Than Ngo <than@redhat.com> 0.11.8-7
- add patch to fix problem in loading data into Palm

* Wed Jun 30 2004 Than Ngo <than@redhat.com> 0.11.8-6
- add fix to avoid an out-of bounds array access
- add buildprereq on readline-devel, libpng-devel, bug #111119
- add patch to fix segfault in Net Library, bug #125878

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 24 2004 Than Ngo <than@redhat.com> 1:0.11.8-4
- fix build problem with new libpng

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Dec 17 2003 Than Ngo <than@redhat.com> 1:0.11.8-2
- Updated Url

* Fri Sep 26 2003 Harald Hoyer <harald@redhat.de> 1:0.11.8-1
- 0.11.8

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May  7 2003 Than Ngo <than@redhat.com> 0.11.7-1
- 0.11.7

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sun Dec  8 2002 Than Ngo <than@redhat.com> 0.11.5-3
- cleanup some bad codes (from d.binderman@virgin.net) bug #79237
- fix dependency issues

* Mon Nov  4 2002 Jeremy Katz <katzj@redhat.com> 0.11.5-2
- pilot-link-devel needs to require the epoch on the main package

* Sat Nov  2 2002 Jeremy Katz <katzj@redhat.com> 0.11.5-1
- update to 0.11.5

* Wed Aug 28 2002 Than Ngo <than@redhat.com> 0.11.3-3
- rpath issue

* Sun Aug 25 2002 Than Ngo <than@redhat.com> 0.11.3-2
- multilib bugs in specfile (bug #72556)

* Thu Aug 22 2002 Than Ngo <than@redhat.com> 0.11.3-1
- 0.11.3 fixed a bug in the process, which was causing some issues with J-Pilot

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Tue Aug  6 2002 Than Ngo <than@redhat.com> 0.11.2-1
- 0.11.2 (bug #70889)
- add missing static library

* Mon Jul 22 2002 Tim Powers <timp@redhat.com> 0.11.0-4
- rebuild using gcc-3.2-0.1

* Thu Jul 18 2002 Tim Powers <timp@redhat.com> 0.11.0-3
- add %%{_libdir}/libpisock++.so and %%{_libdir}/libpisock++.so.* to
  the file lists to fix the broken deps

* Thu Jul 18 2002 Than Ngo <than@redhat.com> 0.11.0-2
- Added missing some symlinks

* Thu Jul 18 2002 Than Ngo <than@redhat.com> 0.11.0-1
- 0.11.0 (bug #69135)
- Adapted patches into 0.11.0

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Than Ngo <than@redhat.com> 0.9.5-19
- don't forcibly strip binaries

* Mon Jun 11 2002 Than Ngo <than@redhat.com> 0.9.5-18
- get rid of tcl/tk dependency (bug #66480)

* Wed Jun 05 2002 Than Ngo <than@redhat.com> 0.9.5-17
- add rpmlint filter rpmlint bug #66008
- add malsync-supporting bug #64882

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Feb 21 2002 Jeremy Katz <katzj@redhat.com> 0.9.5-13
- free trip through the build system

* Wed Jan 09 2002 Tim Powers <timp@redhat.com> 0.9.5-12
- automated rebuild

* Mon Dec 31 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.9.5-11
- fix build with gcc 3.1

* Mon Nov 12 2001 Than Ngo <than@redhat.com> 0.9.5-10
- add patch for building against gcc 3

* Thu Sep 20 2001 Than Ngo <than@redhat.com> 0.9.5-9
- update to 0.9.5 release (bug #53430) 
- fix bug #53807
- add Url

* Fri Aug 10 2001 Than Ngo <than@redhat.com>
- add epoch (bug #51429)

* Mon Jul 16 2001 Trond Eivind Glomsrød <teg@redhat.com>
- s/Copyright/License/
- Add dependency on main package for the devel subpackage

* Tue Jun 19 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add ExcludeArch: s390 s390x

* Fri Jun 15 2001 Than Ngo <than@redhat.com>
- fix to build against libtool (bug #43800)

* Fri May 11 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.9.5-4
- rebuild with new readline

* Fri Apr 27 2001 Bill Nottingham <notting@redhat.com>
- rebuild for C++ exception handling on ia64

* Thu Feb 01 2001 Than Ngo <than@redhat.com>
- cleanup patch from Jürgen Stuber to fix "Weird packet" error  (Bug #25360)

* Mon Nov 20 2000 Than Ngo <than@redhat.com>
- update 0.9.5pre3 snapshot from CVS
- fix up broken codes

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Mon Jun  5 2000 Matt Wilson <msw@redhat.com>
- defattr on devel package

* Sat Jun  3 2000 Matt Wilson <msw@redhat.com>
- rebuilt against tcl-8.3.1

* Wed May 31 2000 Matt Wilson <msw@redhat.com>
- fix building with egcs 2.96 and gcc 2.2, build against new libstdc++
- use _mandir macro

* Wed Apr  5 2000 Bill Nottingham <notting@redhat.com>
- rebuild against current ncurses/readline

* Sun Mar 26 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- call ldconfig directly from postun

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- gzip man pages

* Wed Oct 20 1999 Preston Brown <pbrown@redhat.com>
- upgrade to pilot-link 0.9.3, rewrite spec.

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Tue Mar 30 1999 Preston Brown <pbrown@redhat.com>
- added missing files from devel subpackage

* Fri Mar 26 1999 Preston Brown <pbrown@redhat.com>
- move /usr/lib/pix to /usr/lib/pilot-link (dumb, BAD name)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Thu Jan 21 1999 Bill Nottingham <notting@redhat.com>
- arm fix

* Fri Sep 24 1998 Michael Maher <mike@redhat.com>
- cleaned up spec file, updated package

* Tue May 19 1998 Michael Maher <mike@redhat.com>
- updated rpm

* Thu Jan 29 1998 Otto Hammersmith <otto@redhat.com>
- added changelog
- updated to 0.8.9
- removed explicit requires for /usr/bin/perl

